package com.zjrs.zwnw.dbgl.dto;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;


public class DbrwglGzqdUDTO {
        private String rsdbglgzqdlsh;       //工作清单表流水号
        private String rsdbgldbxmlsh;       //督办项目流水号
        @NotBlank(message = "工作清单不能为空")
        @Length(max = 2000,message = "工作清单最多只能输入2000个字符")
        private String gzqd;       //工作清单
        @Length(max = 2000,message = "工作进展最多只能输入2000个字符")
        private String gzjz;       //工作进展
        @Length(max = 2000,message = "存在问题最多只能输入2000个字符")
        private String czwt;       //存在问题
        @Length(max = 2000,message = "下一步工作最多只能输入2000个字符")
        private String xgbgz;       //下一步工作
        private String sdpj;       //速度自评
        private String zlpj;       //质量自评
        @NotBlank(message = "责任人不能为空")
        private String zrr;       //责任人
        private String zrbm;       //责任部门
        private String wcjd;       //完成进度

        public String getRsdbglgzqdlsh() {
                return rsdbglgzqdlsh;
        }

        public void setRsdbglgzqdlsh(String rsdbglgzqdlsh) {
                this.rsdbglgzqdlsh = rsdbglgzqdlsh;
        }

        public String getRsdbgldbxmlsh() {
                return rsdbgldbxmlsh;
        }

        public void setRsdbgldbxmlsh(String rsdbgldbxmlsh) {
                this.rsdbgldbxmlsh = rsdbgldbxmlsh;
        }

        public String getGzqd() {
                return gzqd;
        }

        public void setGzqd(String gzqd) {
                this.gzqd = gzqd;
        }

        public String getGzjz() {
                return gzjz;
        }

        public void setGzjz(String gzjz) {
                this.gzjz = gzjz;
        }

        public String getCzwt() {
                return czwt;
        }

        public void setCzwt(String czwt) {
                this.czwt = czwt;
        }

        public String getXgbgz() {
                return xgbgz;
        }

        public void setXgbgz(String xgbgz) {
                this.xgbgz = xgbgz;
        }

        public String getSdpj() {
                return sdpj;
        }

        public void setSdpj(String sdpj) {
                this.sdpj = sdpj;
        }

        public String getZlpj() {
                return zlpj;
        }

        public void setZlpj(String zlpj) {
                this.zlpj = zlpj;
        }

        public String getZrr() {
                return zrr;
        }

        public void setZrr(String zrr) {
                this.zrr = zrr;
        }

        public String getZrbm() {
                return zrbm;
        }

        public void setZrbm(String zrbm) {
                this.zrbm = zrbm;
        }

        public String getWcjd() {
                return wcjd;
        }

        public void setWcjd(String wcjd) {
                this.wcjd = wcjd;
        }
}
